API Documentation
<access-service>/api/v1/permissions/sets

URL structure

https://access-service.xy-company.com/api/v1/permissions/sets

Supported methods and overview

  • GET - used to retrieve a list of permission sets along with their individual permissions, where a permission set defines the degree of access to a Secure Object or a collection that a collaborator on this item has.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of permission sets along with their individual permissions.

A permission set:

  • Can be applied to an individual collaborator on a newly created or existing Secure Object or collection (i.e. item), whenever collaborators are modified by the item's owner.
  • Consists of one or more individual permissions, each of which allows specific methods of the Covata API's endpoints involving an item to be called by a Covata user who:
    • is a collaborator on the item and
    • has the appropriate permission(s) (by virtue of their permission set).

The following table lists each permission set, which can be applied by a Covata user with the Originator role (on their own item) to other Covata users, when the owner of this item adds these other Covata users as collaborators to their Secure Object or collection.

Permission set Permissions
Download Download, Print, View
Manage Download, Remove (File), Upload File *, Create Folder *, Remove (Folder) *, Move, Print, Rename, View, View Other
Upload (collections only) Download, Upload File, Print, View, View Other
View View

* These permissions are not applicable when the Manage permission set is applied to a Secure Object.

Note: Individual permissions cannot be applied to collaborators - only permission sets.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • permissionSets - A list of all available permission sets available through the Covata Platform.
    • id - The ID of a specific permission set.
    • permissions - A list of individual permissions relating to a specific permission set.
      • scopes - This is either object (for Secure Objects) or collection (for collections) or both of an individual/specific permission.
      • nameI18nCode - The I18N code of the specific permission's name, which is one of the following (listed by the English language name value for the permission):
        • Download - server.permission.name.download
        • Remove (File) - server.permission.name.file.delete
        • Upload File - server.permission.name.file.upload
        • Create Folder - server.permission.name.folder.create
        • Remove (Folder) - server.permission.name.folder.delete
        • Move - server.permission.name.move
        • Print - server.permission.name.print
        • Rename - server.permission.name.rename
        • View - server.permission.name.view
        • View Other - server.permission.name.view.other
      • id - The ID of the specific permission.
    • scopes - This is either object (for Secure Objects) or collection (for collections) or both of the specific permission set.
    • nameI18nCode - The I18N code of the specific permission set's name, which is one of the following (listed by the English language name value for the permission set):
      • Download - server.permissionset.name.download
      • Manage - server.permissionset.name.manage
      • Upload - server.permissionset.name.upload
      • View - server.permissionset.name.view
    • descriptionI18nCode - The I18N code of the specific permission set's description.
    Example: